Public Member Functions | Public Attributes | List of all members
SDCParserInternal::State Struct Reference

Internal: the state of a SDCParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
std::shared_ptr< StarObjectSpreadsheet > | m_mainSpreadsheet

## Detailed Description

Internal: the state of a SDCParser.

## Constructor & Destructor Documentation

## ◆ State()

SDCParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int SDCParserInternal::State::m_actPage

the actual page

## ◆ m_mainSpreadsheet

std::shared_ptr<StarObjectSpreadsheet> SDCParserInternal::State::m_mainSpreadsheet

## ◆ m_numPages

int SDCParserInternal::State::m_numPages

the number of page of the final document

The documentation for this struct was generated from the following file:

- SDCParser.cxx